#topmenu,
#topmenu ul,
#topmenu ul li,
#topmenu ul li a,
#topmenu #menu-button {
    margin: 0;
    padding: 0;
    border: 0;
    list-style: none;
    line-height: 1;
    display: block;
    position: relative;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
#topmenu:after,
#topmenu > ul:after {
    content: ".";
    display: block;
    clear: both;
    visibility: hidden;
    line-height: 0;
    height: 0;
}
#topmenu #menu-button {
    display: none;
}
#topmenu {
}

#topmenu > ul > li {
    float: left;
}
#topmenu.align-center > ul {
    font-size: 0;
    text-align: center;
}
#topmenu.align-center > ul > li {
    display: inline-block;
    float: none;
}
#topmenu.align-center ul ul {
    text-align: left;
}
#topmenu.align-right > ul > li {
    float: right;
}
#topmenu.align-right ul ul {
    text-align: right;
}
#topmenu > ul > li > a {
    padding:1rem .5rem;
    font-size:1rem;
	font-weight:600;
    text-decoration: none;
    color: #2c090c;
    -webkit-transition: color 0.2s ease;
    -moz-transition: color 0.2s ease;
    -ms-transition: color 0.2s ease;
    -o-transition: color 0.2s ease;
    transition: color 0.2s ease;
}
#topmenu > ul > li:hover > a,
#topmenu > ul > li.active > a {
    color: #2c090c;
	border-bottom:2px solid #ffb333;
}
#topmenu > ul > li.has-sub > a {
}
/*#topmenu > ul > li.has-sub > a::after {
    position: absolute;
    top: 21px;
    right: 10px;
    width: 4px;
    height: 4px;
    border-bottom: 1px solid #000000;
    border-right: 1px solid #000000;
    content: "";
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
    -webkit-transition: border-color 0.2s ease;
    -moz-transition: border-color 0.2s ease;
    -ms-transition: border-color 0.2s ease;
    -o-transition: border-color 0.2s ease;
    transition: border-color 0.2s ease;
}
#topmenu > ul > li.has-sub:hover > a::after {
    border-color: #009ae1;
}*/
#topmenu ul ul {
    position: absolute;
    left: -9999px;
	-webkit-box-shadow: 0 0 5px 0 rgba(44,9,12,.1);
box-shadow: 0 0 5px 0 rgba(44,9,12,.1);
}
#topmenu li:hover > ul {
    left: auto;
}
#topmenu.align-right li:hover > ul {
    right: 0;
}
#topmenu ul ul ul {
    margin-left: 100%;
    top: 0;
}
#topmenu.align-right ul ul ul {
    margin-left: 0;
    margin-right: 100%;

}
#topmenu ul ul li {
    height: 0;
    -webkit-transition: height 0.2s ease;
    -moz-transition: height 0.2s ease;
    -ms-transition: height 0.2s ease;
    -o-transition: height 0.2s ease;
    transition: height 0.2s ease;
}
#topmenu ul li:hover > ul > li {
    height: auto;
}
#topmenu ul ul li a {
    padding: .5rem 1.25rem;
    width:250px;
    font-size:.875rem;
	font-weight:600;
	line-height:1.5;
    background: #ffffff;
    text-decoration: none;
    color: #2c090c;
	border-bottom:1px solid rgba(44,9,12,.05);
    -webkit-transition: color 0.2s ease;
    -moz-transition: color 0.2s ease;
    -ms-transition: color 0.2s ease;
    -o-transition: color 0.2s ease;
    transition: color 0.2s ease;
}
#topmenu ul ul li:hover > a,
#topmenu ul ul li a:hover {
    color: #ffb333;
	background:#fff7eb;
}
#topmenu ul ul li.has-sub > a::after {
    position: absolute;
    top: 13px;
    right: 10px;
    width: 4px;
    height: 4px;
    border-bottom: 1px solid #2c090c;
    border-right: 1px solid #2c090c;
    content: "";
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
    -webkit-transition: border-color 0.2s ease;
    -moz-transition: border-color 0.2s ease;
    -ms-transition: border-color 0.2s ease;
    -o-transition: border-color 0.2s ease;
    transition: border-color 0.2s ease;
}
#topmenu.align-right ul ul li.has-sub > a::after {
    right: auto;
    left: 10px;
    border-bottom: 0;
    border-right: 0;
    border-top: 1px solid #2c090c;
    border-left: 1px solid #2c090c;
}
#topmenu ul ul li.has-sub:hover > a::after {
    border-color: #2c090c;
}
@media all and (max-width: 1190px),
    only screen and (-webkit-min-device-pixel-ratio: 2) and (max-width: 1190px),
    only screen and (min--moz-device-pixel-ratio: 2) and (max-width: 1190px),
    only screen and (-o-min-device-pixel-ratio: 2/1) and (max-width: 1190px),
    only screen and (min-device-pixel-ratio: 2) and (max-width: 1190px),
    only screen and (min-resolution: 192dpi) and (max-width: 1190px),
    only screen and (min-resolution: 2dppx) and (max-width: 1190px) {
    #topmenu ul {
        width: 100%;
		height:320px;
        display: none;
		position:fixed;
		background:#ffffff;
		z-index:15;
		top:75px; left:0;
		-webkit-box-shadow: 0 2px 5px 0 rgba(44,9,12,.1);
box-shadow: 0 2px 5px 0 rgba(44,9,12,.1);
overflow:auto;
    }
	
	 #topmenu ul ul { height:auto;}
	
    #topmenu.align-center > ul,
    #topmenu.align-right ul ul {
        text-align: left;
    }
    #topmenu ul li,
    #topmenu ul ul li,
    #topmenu ul li:hover > ul > li {
        width: 100%;
        height: auto;
        border-top: 1px solid rgba(120, 120, 120, 0.15);
    }
    #topmenu ul li a,
    #topmenu ul ul li a {
        width: 100%;
		padding:0 20px;
		line-height:52px;
    }
	
	#topmenu > ul > li:hover > a,
#topmenu > ul > li.active > a {
    color: #ffb333;
	border-bottom:0px solid #ffb333;
}
	
    #topmenu > ul > li,
    #topmenu.align-center > ul > li,
    #topmenu.align-right > ul > li {
        float: none;
        display: block;
    }
    #topmenu ul ul li a {
        padding:0 20px 0 40px;
        font-size:.875rem;
        color: #000000;
        background: none;
		line-height:52px;
    }
    #topmenu ul ul li:hover > a,
    #topmenu ul ul li a:hover {
        color: #000000;
    }
    #topmenu ul ul ul li a {
        padding-left: 60px;
		opacity:.8
    }
    #topmenu ul ul,
    #topmenu ul ul ul {
        position: relative;
        left: 0;
        right: auto;
        width: 100%;
        margin: 0;
		top:0;
		-webkit-box-shadow: 0 2px 5px 0 rgba(44,9,12,0);
box-shadow: 0 2px 5px 0 rgba(44,9,12,0);
    }
    #topmenu > ul > li.has-sub > a::after,
    #topmenu ul ul li.has-sub > a::after {
        display: none;
    }
    #menu-line {
        display: none;
    }
    #topmenu #menu-button {
        display: block;
        padding: 20px;
        color: #000000;
        cursor: pointer;
        font-size: 12px;
        text-transform: uppercase;
    }
    #topmenu #menu-button::after {
        content: "";
        position: absolute;
        top: 12px;
        left: 0;
        display: block;
        width: 32px;
        height: 3px;
        background: #2c090c;
    }
    #topmenu #menu-button::before {
        content: "";
        position: absolute;
        top: 21px;
        left: 0;
        display: block;
        width: 32px;
        height: 6px;
        border-top: 3px solid #2c090c;
        border-bottom: 3px solid #2c090c;
    }
    #topmenu .submenu-button {
        position: absolute;
        z-index: 10;
        right: 0;
        top: 0;
        display: block;
        border-left: 1px solid rgba(120, 120, 120, 0.15);
        height: 52px;
        width: 52px;
        cursor: pointer;
    }
    #topmenu .submenu-button::after {
        content: "";
        position: absolute;
        top: 21px;
        left: 26px;
        display: block;
        width: 1px;
        height: 11px;
        background: #000000;
        z-index: 99;
    }
    #topmenu .submenu-button::before {
        content: "";
        position: absolute;
        left: 21px;
        top: 26px;
        display: block;
        width: 11px;
        height: 1px;
        background: #000000;
        z-index: 99;
    }
    #topmenu .submenu-button.submenu-opened:after {
        display: none;
    }
}